## glances-3.2.2-1.src.tar.gz

=== Makefile ===
PORT?=8008
LASTTAG = $(shell git describe --tags --abbrev=0)

install:
	sensible-browser "https://github.com/nicolargo/glances#installation"

venv-python:
	virtualenv -p /usr/bin/python3 venv

venv-dev:
	./venv/bin/pip install -r dev-requirements.txt
	./venv/bin/pip install -r doc-requirements.txt

venv-dev-upgrade:
	./venv/bin/pip install --upgrade -r dev-requirements.txt
	./venv/bin/pip install --upgrade -r doc-requirements.txt

venv:
	./venv/bin/pip install -r requirements.txt
	./venv/bin/pip install -r optional-requirements.txt

venv-upgrade:
	./venv/bin/pip install --upgrade -r dev-requirements.txt
	./venv/bin/pip install --upgrade -r requirements.txt
	./venv/bin/pip install --upgrade -r optional-requirements.txt

test: venv
	./venv/bin/python ./unitest.py
	./venv/bin/python ./unitest-restful.py
	./venv/bin/python ./unitest-xmlrpc.py

docs: venv-dev
	./venv/bin/python -m glances -C ./conf/glances.conf --api-doc > ./docs/api.rst
	cd docs && ./build.sh && cd ..

docs-server: docs
	(sleep 2 && sensible-browser "http://localhost:$(PORT)") &
	cd docs/_build/html/ && ./venv/bin/python -m SimpleHTTPServer $(PORT)

webui: venv-dev
	cd glances/outputs/static/ && npm install && npm audit fix && npm run build

run: venv
	./venv/bin/python -m glances -C ./conf/glances.conf

run-debug: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -d

run-webserver: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -w

run-restapiserver: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -w --disable-webui

run-server: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -s

run-client: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -c localhost

run-browser: venv
	./venv/bin/python -m glances -C ./conf/glances.conf --browser

show-version: venv
	./venv/bin/python -m glances -C ./conf/glances.conf -V

show-issue: venv
	./venv/bin/python -m glances -C ./conf/glances.conf --issue

profiling: venv venv-dev
	@echo "Please complete and run: sudo ./venv/bin/py-spy record -o ./docs/_static/glances-flame.svg -d 60 -s --pid <GLANCES PID>"

release-note:
	git --no-pager log $(LASTTAG)..HEAD --first-parent --pretty=format:"* %s"
	echo ""
	git --no-pager shortlog -s -n $(LASTTAG)..HEAD

.PHONY: test docs docs-server

=== PKGBUILD ===
# Maintainer: Christian Rebischke <chris.rebischke@archlinux.org>
# Contributor: Sébastien Luttringer <seblu@archlinux.org>
# Contributor: Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
# Contributor: Francois Boulogne <fboulogne at april dot org>

pkgname=glances
pkgver=3.2.2
pkgrel=1
pkgdesc='CLI curses-based monitoring tool'
arch=('any')
url='https://github.com/nicolargo/glances'
license=('LGPL')
makedepends=('git' 'python-setuptools')
depends=('python' 'python-psutil' 'python-future')
optdepends=('hddtemp: HDD temperature monitoring support'
            'python-bottle: web server support'
            'python-docker: for the Docker monitoring support'
            'python-matplotlib: for graphical/chart support'
            'python-netifaces: for the IP plugin'
            'python-zeroconf: for the autodiscover mode'
            'python-pystache: templating engine')
source=("https://github.com/nicolargo/glances/archive/v${pkgver}.tar.gz"
        'glances.service')
sha512sums=('e77b62e5fa6131914b56f0b5249789b3bcac0c625cd429eeb0870a14be55f15c401956c002376e5868fa1332bbb219e9bd3a5bd14c739e3404b068a063af6821'
            '49f0d185a37a5c5837e5beb463770c943ede40b2f1b8405e338129e897e97d9fc58373a8586fabc506266e6343cfea3c91b9787ac6832cc97a1ab63d6ad058d4')

package() {
  cd "glances-${pkgver}"
  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1
  install -Dm644 "${srcdir}"/glances.service \
    "${pkgdir}"/usr/lib/systemd/system/glances.service
}

# vim:set ts=2 sw=2 et:
